Bug 476206 - ahci: jmb361 has only one port
ahci: jmb361 has only one port
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
low Severity medium
: rc
: ---
Assigned To: Prarit Bhargava
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-12 08:41 EST by Michael Lampe
Modified: 2009-09-02 05:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:00:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch for 5.2 kernels (552 bytes, patch)
2008-12-12 08:41 EST, Michael Lampe
no flags Details | Diff
RHEL5 fix for this issue (800 bytes, patch)
2008-12-15 10:40 EST, Prarit Bhargava
no flags Details | Diff
RHEL5 fix for this issue (886 bytes, patch)
2008-12-15 13:17 EST, Prarit Bhargava
no flags Details | Diff

  None (edit)
Description Michael Lampe 2008-12-12 08:41:33 EST
Created attachment 326727 [details]
Proposed patch for 5.2 kernels

Description of problem:

* JMB361 has only one port but reports it has two causing longish probe
failure on the second one.

Version-Release number of selected component (if applicable):

* All kernels since 5.2

How reproducible:

* Have a JMB361 and boot.
 
Actual results:

* ~10 minutes extra booting time

Additional info:

* http://article.gmane.org/gmane.linux.ide/32284
Comment 1 Prarit Bhargava 2008-12-15 10:08:34 EST
Product page also indicates one port:

http://www.jmicron.com/JMB361.html

P.
Comment 2 Prarit Bhargava 2008-12-15 10:13:45 EST
Upstream here:

http://marc.info/?l=git-commits-head&m=121399915906664&w=2

P.
Comment 3 Prarit Bhargava 2008-12-15 10:40:43 EST
Created attachment 326980 [details]
RHEL5 fix for this issue
Comment 4 Michael Lampe 2008-12-15 12:04:18 EST
While the upstream patch applies to 5.2 kernels it doesn't work there because upstream has also changed the immediately following check-whine-and-fabricate logic. The check-whine-and-fabricate logic in 5.2 kernels will simply revert the fix-up and you end up as before.
Comment 5 Prarit Bhargava 2008-12-15 13:13:19 EST
Oops!  I attached (and submitted) the wrong patch.  Will try again with new patch.

Sorry,

P.
Comment 6 Prarit Bhargava 2008-12-15 13:17:47 EST
Created attachment 327001 [details]
RHEL5 fix for this issue
Comment 7 RHEL Product and Program Management 2009-01-27 15:37:56 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 8 RHEL Product and Program Management 2009-02-16 10:44:07 EST
Updating PM score.
Comment 9 Don Zickus 2009-02-23 15:03:17 EST
in kernel-2.6.18-132.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 12 errata-xmlrpc 2009-09-02 05:00:59 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.